#!/bin/bash


#video: 1=starWars 2=constantBitRate
video=1
videoName="videoTrace/constantVideo750kb.txt"

if [ $# -eq 1 ]
 then
  video=$1
fi

#StarWars
if [ $video -eq 1 ]
then 
  fileResults="results-scenario1-starWars.txt"
  fileResultsFull="results-scenario1-full-starWars.txt"
  videoName="videoTrace/starWars.txt"
else 
  fileResults="results-scenario1-constFile750kbs.txt"
  fileResultsFull="results-scenario1-full-constFile750kbs.txt"
  videoName="videoTrace/constantVideo750kb.txt"
fi

touch $fileResults
rm $fileResults
touch $fileResultsFull
rm $fileResultsFull

echo "Video = $videoName"

nbOfSeeds=10

for distanceRSU in `seq 1500 500 8000`
do

  echo "#Resultat final (moyenne par seed)" >> $fileResults 
  totalDisrupt=0.0
  totalMB=0.0

  for seed in `seq 1 1 $nbOfSeeds`
  do
    	disrupt[$seed]=0.0
    	MB[$seed]=0.0

   	echo "Simulation $seed pour distanceRSU=$distanceRSU"
  	./waf --run "scratch/vanet-videoTCP-scenario1 --RngRun=$seed --distanceRSU=${distanceRSU} --videoName=${videoName}" 2> tmp.txt
	cat tmp.txt >> $fileResultsFull
	echo "DEBUG 2: tmp.txt:"
	cat tmp.txt
  	echo "----------------------------------------------------"

	for i in `seq 4 1 8`
 	do
		disruptTmp=`grep "$distanceRSU $i" tmp.txt | cut -f6 -d' '`
		echo "DEBUG 3: disruptTmp=$disruptTmp"
		MBtmp=`grep "$distanceRSU $i" tmp.txt | cut -f4 -d' '`
		echo "DEBUG 3: MBtmp=$MBtmp"

		disrupt[$seed]=`echo "scale=2; ${disrupt[$seed]} + $disruptTmp" | bc`
		MB[$seed]=`echo "scale=2; ${MB[$seed]} + $MBtmp" | bc`
		echo "DEBUG4: disrupt[$seed]=${disrupt[$seed]} MBtmp=$MBtmp disruptTmp=$disruptTmp"
	done

  	disrupt[$seed]=`echo "scale=2; ${disrupt[$seed]} / 5.0" | bc`
  	MB[$seed]=`echo "scale=2; ${MB[$seed]} / 5.0 " | bc`

	echo "$distanceRSU $seed ${MB[$seed]} ${disrupt[$seed]}" >> $fileResults
  	echo "DEBUG 5: $distanceRSU $seed ${MB[$seed]} ${disrupt[$seed]}" 

  	totalDisrupt=`echo "scale=2; $totalDisrupt + ${disrupt[$seed]}" | bc`
  	totalMB=`echo "scale=2; $totalMB + ${MB[$seed]}" | bc`
  	echo "DEBUG 6: totalMB=$totalMB totalDisrupt=$totalDisrupt"
  done


  echo "#-------------------------------------------------" >> $fileResults
  echo "#Resultat final (moyenne)" >> $fileResults
  totalDisrupt=`echo "scale=2; $totalDisrupt / $nbOfSeeds" | bc`
  totalMB=`echo "scale=2; $totalMB / $nbOfSeeds" | bc`
  echo "$distanceRSU $totalMB $totalDisrupt" >> $fileResults
  echo "RESULTAT FINAL: $distanceRSU $totalMB $totalDisrupt" 
  echo "#-------------------------------------------------" >> $fileResults


done

